Bug 12356 - pine complains about permissions
pine complains about permissions
Product: Red Hat Linux
Classification: Retired
Component: pine (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Depends On:
  Show dependency treegraph
Reported: 2000-06-17 00:48 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-20 22:49:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
sample pinerc (14.65 KB, text/plain)
2000-06-20 22:49 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2000-06-17 00:48:21 EDT
Either pine-4.21-8 or filesystem-1.35-1 needs to be fixed to not 
complain that /var/spool/mail should be set 1777:

[Mailbox vulnerable - directory /var/spool/mail must have 1777 protection]

but filesystem-1.35-1 sets /var/spool/mail 775
Comment 1 Trond Eivind Glomsrxd 2000-06-18 18:31:34 EDT
I can't reproduce that warning here (4.21-17, but I don't think I've changed
anything related to this)

The directory  should of course be 1775
Comment 2 Andreas Metzler 2000-06-19 04:11:34 EDT
If you are sure that /var/spool/mail should have permissions 1775, 
somebody (you) should upload a new version of filesystem to errata.

This is the same bug as 10687.

       cu andreas
Comment 3 Need Real Name 2000-06-19 07:02:27 EDT
$ rpm -vv -ql filesystem
drwxrwxr-x    1 root    mail             1024 Feb  6  1996 /var/spool/mail

It looks like someone needs to make the call that either pine or the 
filesystem package is correct about what the perms on /var/spool/mail/
should be and get them to agree.  Right now they do not.

Depending on the configuration of sendmail, either 1777 or 775 is valid,
but the other mail programs need to be checked (imap/pop referenced in 
the previously mentioned bugzilla entry, pine in this one) to verify 
correct operation given the "correct" permissions.
that setup.
Comment 4 Trond Eivind Glomsrxd 2000-06-19 11:28:04 EDT
Sorry, I thought you were talking about rawhide. Anyway, I cannot reproduce your
warning on a 6.2 system either: It just doesn't happen here. Can you attach your
.pinerc for one last check?
Comment 5 Andreas Metzler 2000-06-19 12:05:30 EDT
Sorry if I made this impression, but *I* do not use pine.
I only know the same error-message from bug 10687 (imapd), which
still has Status: NEW. (Perhaps the original submitter used pine as
imap-client, which forwarded imapd's error-message?)

Perhaps you could close 12356 and reassign 10678 to 
Component: filesystem or fix it and close it.
        thank's and cu andreas
Comment 6 Need Real Name 2000-06-20 22:49:25 EDT
Created attachment 638 [details]
sample pinerc
Comment 7 Trond Eivind Glomsrxd 2000-06-21 11:07:26 EDT
I can not reproduce the pine problem at all with the Rawhide packages (nor with
the 6.2 ones). Closed. I'll have look at the other issue - I don't think we want
Comment 8 chappa 2001-01-14 16:11:26 EST
This is NOT a bug and you don't need to solve it, yes the message is
annoying, but you will need to think further if you think that eliminating
this message does really solve this problem. Please read the following
thread in comp.mail.pine in order to understand why you should not supress
this annoying message.

Comment 9 Trond Eivind Glomsrxd 2001-01-14 17:23:12 EST
The standard for locking mail spool files on Red Hat Linux is lockf, not
.lck-files - and all things touching the file have been fixed to use that
(everything distributed with the distribution, at least - we obviously don't
control what people install in additon to this). Since there is no need to
create files, the permissons shouldn't be 1777 and the message is silenced.

Note You need to log in before you can comment on or make changes to this bug.